Bug 150414 - glibc from testing-updates causes (some) SDL apps to crash
glibc from testing-updates causes (some) SDL apps to crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-05 16:22 EST by Arnaud Abélard
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.3.5-0.fc3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 05:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
frozen-buuble ld_debug with glibc.2.3.4-2.fc3.3 (1.01 MB, application/x-gzip)
2005-03-06 07:38 EST, Arnaud Abélard
no flags Details
frozen-bubble ld_debug with glibc.2.3.4-2.fc3.4 (1013.21 KB, application/x-gzip)
2005-03-06 07:40 EST, Arnaud Abélard
no flags Details
frozen bubble strace with glibc 2.3.4-2.fc3.3 (1.56 MB, application/x-gzip)
2005-03-06 16:32 EST, Arnaud Abélard
no flags Details
frozen bubble strace with glibc 2.3.4-2.fc3.4 (1.47 MB, application/x-gzip)
2005-03-06 16:33 EST, Arnaud Abélard
no flags Details
gdb log of frozen bubble with glibc 2.3.4-2.fc3.4 (4.40 KB, text/plain)
2005-03-06 16:36 EST, Arnaud Abélard
no flags Details
frozen-bubble crash in gdb with debuginfos (5.82 KB, text/plain)
2005-03-07 02:22 EST, Arnaud Abélard
no flags Details

  None (edit)
Description Arnaud Abélard 2005-03-05 16:22:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
after updating glibc from glibc-2.3.4-2.fc3.3 to glibc-2.3.4-2.fc3.4 all my SDL apps are crashing:

dosbox:
CONFIG: Using default settings. Create a configfile to change them
Fatal signal: Segmentation Fault (SDL Parachute Deployed)
Segmentation fault

frozen-bubble:
[SDL Init] [Graphics...] [Levels] Fatal signal: Segmentation Fault (SDL Parachute Deployed)
Segmentation fault

those apps used to work with the glibc-2.3.4-2.fc3.3, updating to .4 causes them to crash, reverting to .3 fix the problem

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.fc3.4

How reproducible:
Always

Steps to Reproduce:
1. update to glibc-2.3.4-2.fc3.4
2. try to run all your SDL apps, some won't  work anymore

  

Actual Results:  some SDL apps will crash 

Expected Results:  all SDL apps should work as they used to with glibc-2.3.4-2.fc3.3

Additional info:
Comment 2 Jakub Jelinek 2005-03-06 03:33:48 EST
Can you please run
LD_DEBUG=all strace -f -o /tmp/fb.strace frozen-bubble 2> /tmp/fb.debug
with both -2.fc3.3 and -2.fc3.4?
Comment 3 Arnaud Abélard 2005-03-06 07:38:33 EST
Created attachment 111707 [details]
frozen-buuble ld_debug with glibc.2.3.4-2.fc3.3
Comment 4 Arnaud Abélard 2005-03-06 07:40:13 EST
Created attachment 111708 [details]
frozen-bubble ld_debug with glibc.2.3.4-2.fc3.4
Comment 5 Jakub Jelinek 2005-03-06 14:34:58 EST
I haven't been able to reproduce this on my box, so can you please also:
1) attach /tmp/fb.strace those commands would create
2) run it under gdb: gdb --args /usr/bin/perl /usr/bin/frozen-bubble
   When it segfaults:
   disas $pc $pc+64
   x/20w $esp
   bt

Comment 6 Arnaud Abélard 2005-03-06 16:32:42 EST
Created attachment 111721 [details]
frozen bubble strace with glibc 2.3.4-2.fc3.3
Comment 7 Arnaud Abélard 2005-03-06 16:33:57 EST
Created attachment 111722 [details]
frozen bubble strace with glibc 2.3.4-2.fc3.4
Comment 8 Arnaud Abélard 2005-03-06 16:36:09 EST
Created attachment 111723 [details]
gdb log of frozen bubble with glibc 2.3.4-2.fc3.4
Comment 9 Jakub Jelinek 2005-03-06 17:28:19 EST
Thanks.  Can you please install:
updates/testing/3/i386/debug/glibc-debuginfo-2.3.4-2.fc3.4.i686.rpm
updates/testing/3/i386/debug/glibc-debuginfo-common-2.3.4-2.fc3.4.i386.rpm
then when it crashes type:
p map
p *map
p &_rtld_global._dl_rtld_map
p _rtld_global._dl_rtld_map
?
Comment 10 Arnaud Abélard 2005-03-07 02:22:19 EST
Created attachment 111731 [details]
frozen-bubble crash in gdb with debuginfos
Comment 11 Jakub Jelinek 2005-03-08 08:27:49 EST
http://sources.redhat.com/ml/libc-hacker/2005-03/msg00025.html
is a self-contained testcase.
Comment 12 Jakub Jelinek 2005-03-21 07:50:16 EST
Please give a shot to glibc-2.3.4-2.fc3.5 from FC3 updates testing.
Comment 13 Arnaud Abélard 2005-03-23 04:53:36 EST
Perfect, it seems that the bug is fixed. 

Frozen Bubble works fine just as all the others SDL app i tested (including dosbox)

Thanks!


Note You need to log in before you can comment on or make changes to this bug.